(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     44904,        822]
NotebookOptionsPosition[     43468,        792]
NotebookOutlinePosition[     43933,        810]
CellTagsIndexPosition[     43890,        807]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Computation", " ", "of", " ", "Hawkes", " ", "moments", " ", "and", " ", 
   "cumulants", " ", "with", " ", "exponential", " ", "kernel"}], 
  "*)"}]], "Input",ExpressionUUID->"7e292adb-9d5b-4438-b86a-ae67a0fc0e71"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.838151702346608*^9, 3.8381517701706877`*^9}, {
   3.839232471765492*^9, 3.83923248639515*^9}, {3.83923487433526*^9, 
   3.8392348797426147`*^9}, 3.839319517134006*^9, {3.839380503588592*^9, 
   3.8393805098706207`*^9}, {3.8404169539824533`*^9, 3.840416957776504*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"d5651c90-89b7-4760-b1d5-3d13d262281e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"kz", "[", 
    RowBox[{"z_", ",", "n_", ",", "a_", ",", "b_", ",", "f_", ",", "t_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"kz", "[", 
     RowBox[{"z", ",", "n", ",", "a", ",", "b", ",", "f", ",", "t"}], "]"}], 
    "=", 
    RowBox[{"(", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"tmp", ",", "k", ",", "y", ",", "z1"}], "}"}], ",", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"n", "==", "1"}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"z", ",", "a", ",", "b", ",", "t"}], "]"}], "+", 
            RowBox[{"a", "*", 
             RowBox[{"Integrate", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"f", "[", 
                 RowBox[{
                  RowBox[{"z", "+", "y"}], ",", "a", ",", "b", ",", "t"}], 
                 "]"}], "*", 
                RowBox[{"E", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"a", "-", "b"}], ")"}], "*", "y"}], ")"}]}]}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", "0", ",", 
                 RowBox[{"t", "-", "z"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
         "]"}], ";", 
        RowBox[{"tmp", "=", "0"}], ";", 
        RowBox[{"z1", "=", 
         RowBox[{"{", "}"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "n"}], ",", 
          RowBox[{"k", ">=", "2"}], ",", 
          RowBox[{"k", "--"}], ",", 
          RowBox[{
           RowBox[{"z1", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"z1", ",", 
              RowBox[{"Block", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"i", "=", 
                   RowBox[{"n", "-", "k", "+", "1"}]}], ",", 
                  RowBox[{"u", "=", 
                   RowBox[{"y", "+", "z"}]}]}], "}"}], ",", 
                RowBox[{"kz", "[", 
                 RowBox[{
                 "u", ",", "i", ",", "a", ",", "b", ",", "f", ",", "t"}], 
                 "]"}]}], "]"}]}], "]"}]}], ";", 
           RowBox[{"tmp", "+=", 
            RowBox[{"BellY", "[", 
             RowBox[{"n", ",", "k", ",", "z1"}], "]"}]}], ";"}]}], "]"}], ";", 
        RowBox[{"a", "*", 
         RowBox[{"Integrate", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"E", "^", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"a", "-", "b"}], ")"}], "*", "y"}], ")"}]}], "*", 
            "tmp"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "0", ",", 
             RowBox[{"t", "-", "z"}]}], "}"}]}], "]"}]}]}]}], "]"}], 
     ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.839152110534417*^9, 3.839152136413694*^9}, {
   3.839152293638732*^9, 3.839152322567422*^9}, {3.839152370935953*^9, 
   3.839152516929742*^9}, {3.839152676682684*^9, 3.839152756811056*^9}, {
   3.839152786851924*^9, 3.839152930316854*^9}, {3.839153032126665*^9, 
   3.839153032365427*^9}, {3.839153067613738*^9, 3.8391531483118887`*^9}, {
   3.8391535973061666`*^9, 3.8391536368312817`*^9}, {3.839154010781756*^9, 
   3.839154017188087*^9}, {3.839185748540221*^9, 3.839185779547575*^9}, 
   3.839185816956543*^9, {3.839186101996128*^9, 3.839186104316174*^9}, {
   3.83918853847832*^9, 3.839188563108639*^9}, {3.839188722614828*^9, 
   3.839188732772442*^9}, {3.8391889122793283`*^9, 3.8391889382198753`*^9}, {
   3.839189341367474*^9, 3.8391893415646048`*^9}, {3.839189753068699*^9, 
   3.839189761845903*^9}, {3.839194937804515*^9, 3.839194938017871*^9}, {
   3.8391973505133343`*^9, 3.8391973601141872`*^9}, {3.839211643710245*^9, 
   3.839211644307021*^9}, {3.839211753979911*^9, 3.839211777204544*^9}, {
   3.839211985782199*^9, 3.839212004958056*^9}, {3.8392123298555717`*^9, 
   3.839212330039452*^9}, {3.8392123939394407`*^9, 3.8392123945521173`*^9}, {
   3.839212654110134*^9, 3.8392127024631233`*^9}, {3.839212780112104*^9, 
   3.8392127808665953`*^9}, {3.8392128197653646`*^9, 3.839212868411292*^9}, {
   3.839212907294201*^9, 3.839212921723832*^9}, {3.839212966471326*^9, 
   3.839213002148447*^9}, {3.8392131215026817`*^9, 3.839213124111228*^9}, {
   3.839213163749749*^9, 3.839213196126436*^9}, {3.839213262449698*^9, 
   3.839213316030299*^9}, {3.839213392769987*^9, 3.839213392854851*^9}, {
   3.8392134236864157`*^9, 3.83921342692803*^9}, {3.839213469419248*^9, 
   3.839213523215807*^9}, {3.839213557168785*^9, 3.83921356240024*^9}, {
   3.8392136614765177`*^9, 3.839213736825536*^9}, {3.839213771913383*^9, 
   3.8392138219869747`*^9}, {3.83921413953491*^9, 3.83921414772438*^9}, {
   3.839214381135462*^9, 3.839214382062023*^9}, {3.839214434418295*^9, 
   3.839214435206863*^9}, {3.839214899752625*^9, 3.8392149209808617`*^9}, {
   3.83921520433035*^9, 3.839215282729422*^9}, {3.8392153474361753`*^9, 
   3.839215353498159*^9}, {3.839215469583654*^9, 3.839215495067665*^9}, {
   3.839215553245348*^9, 3.839215553604628*^9}, {3.83921561463595*^9, 
   3.8392156654312553`*^9}, {3.8392157826980762`*^9, 3.839215814533845*^9}, {
   3.839217410596116*^9, 3.839217424019237*^9}, {3.839218543937216*^9, 
   3.8392185466903667`*^9}, {3.839218743950981*^9, 3.839218750627803*^9}, {
   3.839218781543694*^9, 3.8392187904374647`*^9}, {3.839219272338175*^9, 
   3.839219302484099*^9}, {3.839219348214794*^9, 3.839219393357826*^9}, {
   3.839219883431329*^9, 3.839219954796032*^9}, {3.839219998937661*^9, 
   3.839220003229767*^9}, {3.839220251864623*^9, 3.839220303615719*^9}, {
   3.839220521914426*^9, 3.839220523305848*^9}, {3.8392210769072*^9, 
   3.839221080977644*^9}, {3.839221128698906*^9, 3.8392211316263123`*^9}, {
   3.8392211777876863`*^9, 3.839221182258515*^9}, {3.839221326906983*^9, 
   3.839221364403881*^9}, {3.839225494058393*^9, 3.839225499179058*^9}, {
   3.839225625253209*^9, 3.839225688405154*^9}, {3.8392257187407713`*^9, 
   3.839225739445531*^9}, {3.839225773719183*^9, 3.839225797517035*^9}, {
   3.839225850237898*^9, 3.83922585215667*^9}, {3.8392259352132273`*^9, 
   3.839225938910329*^9}, {3.839226043295792*^9, 3.839226043454123*^9}, {
   3.83922628037643*^9, 3.839226283517749*^9}, {3.839226353196493*^9, 
   3.839226357087041*^9}, {3.839226392665347*^9, 3.839226409535968*^9}, {
   3.839226678033988*^9, 3.839226680025519*^9}, {3.839226744131022*^9, 
   3.8392267513135157`*^9}, {3.8392268551958733`*^9, 
   3.8392268570829477`*^9}, {3.839227105291604*^9, 3.83922710962906*^9}, {
   3.839227369397674*^9, 3.839227370964694*^9}, {3.839227407959023*^9, 
   3.8392274084703503`*^9}, {3.8392275026712627`*^9, 3.839227502886939*^9}, {
   3.839227595568421*^9, 3.839227595744506*^9}, {3.839227807839476*^9, 
   3.839227808203252*^9}, {3.839227863548045*^9, 3.839227863690996*^9}, {
   3.839227938605926*^9, 3.8392279387490883`*^9}, {3.839228017454331*^9, 
   3.839228018157398*^9}, {3.839228177021702*^9, 3.83922818590353*^9}, {
   3.8392283014896193`*^9, 3.8392283160015717`*^9}, 3.83922840028376*^9, {
   3.839228918305582*^9, 3.839228951164662*^9}, {3.8392292857791433`*^9, 
   3.8392293417131433`*^9}, 3.8392297198899097`*^9, {3.839229807424755*^9, 
   3.8392298187374983`*^9}, {3.83922993483416*^9, 3.8392299372806*^9}, {
   3.839231266803298*^9, 3.839231274842515*^9}, {3.839231306466827*^9, 
   3.839231308683099*^9}, {3.839231415153038*^9, 3.839231415492424*^9}, {
   3.839232009041367*^9, 3.839232024994089*^9}, {3.839232059559372*^9, 
   3.839232060323077*^9}, {3.839232116015072*^9, 3.839232118810666*^9}, {
   3.839232162477379*^9, 3.839232162803245*^9}, 3.8392323563031397`*^9, 
   3.839232468530944*^9, {3.839232711842265*^9, 3.839232712423747*^9}, {
   3.839232763369886*^9, 3.839232769264122*^9}, {3.839232802830922*^9, 
   3.8392328425128202`*^9}, {3.839232959898595*^9, 3.839233050137823*^9}, {
   3.8392333856291113`*^9, 3.839233427066332*^9}, {3.839234052966496*^9, 
   3.839234068028996*^9}, {3.839234102151472*^9, 3.8392341264055634`*^9}, {
   3.83923424797661*^9, 3.8392342658066187`*^9}, {3.839234703198847*^9, 
   3.839234752770331*^9}, {3.8392347901772423`*^9, 3.839234821138316*^9}, {
   3.8392348699168873`*^9, 3.8392348718504267`*^9}, {3.8392350713898907`*^9, 
   3.8392350781245527`*^9}, {3.8392352740331163`*^9, 3.839235278207411*^9}, {
   3.839235314958249*^9, 3.839235409248106*^9}, {3.839235516219458*^9, 
   3.839235516560728*^9}, 3.839235893287795*^9, {3.839235949379004*^9, 
   3.839235977070114*^9}, {3.839237280846387*^9, 3.839237302494458*^9}, {
   3.8392373326137457`*^9, 3.839237333974524*^9}, {3.839237444029871*^9, 
   3.839237449085402*^9}, {3.83923759773377*^9, 3.839237739309846*^9}, {
   3.839237819645854*^9, 3.839237823413662*^9}, 3.8392384842243757`*^9, {
   3.839238523738463*^9, 3.8392385662797623`*^9}, {3.839238612826194*^9, 
   3.839238614551805*^9}, {3.8392386549423323`*^9, 3.83923872333674*^9}, {
   3.8392387837224283`*^9, 3.839238784408214*^9}, {3.8392389598510036`*^9, 
   3.8392389603301497`*^9}, {3.8392390309725533`*^9, 3.839239040193178*^9}, {
   3.839239140150482*^9, 3.839239153554194*^9}, {3.8392391969082403`*^9, 
   3.83923920332344*^9}, 3.839239520515992*^9, 3.839239747972958*^9, {
   3.83923983433768*^9, 3.839239846262361*^9}, 3.839279161380999*^9, {
   3.839279207062167*^9, 3.839279278858069*^9}, {3.839280171226959*^9, 
   3.8392803426802073`*^9}, {3.839280651241775*^9, 3.839280665066649*^9}, {
   3.83928073383711*^9, 3.8392807362190027`*^9}, {3.839280774344406*^9, 
   3.8392808027541103`*^9}, {3.8392808377022257`*^9, 3.839280847448041*^9}, {
   3.839281007039434*^9, 3.839281048870102*^9}, {3.839281096221183*^9, 
   3.839281162813182*^9}, {3.839281415114399*^9, 3.839281420192099*^9}, {
   3.8392814574996843`*^9, 3.8392814897517347`*^9}, {3.8392816700258512`*^9, 
   3.839281691530097*^9}, {3.83928794432966*^9, 3.839287946718834*^9}, {
   3.8392881386593523`*^9, 3.839288148171707*^9}, {3.839288192155539*^9, 
   3.8392882252363043`*^9}, {3.839288352560636*^9, 3.839288414421122*^9}, {
   3.8392884486972733`*^9, 3.839288455750403*^9}, {3.839288522897668*^9, 
   3.83928855474131*^9}, {3.839288631388554*^9, 3.839288631517502*^9}, {
   3.839288728256897*^9, 3.839288728998076*^9}, {3.839288795510157*^9, 
   3.839288833927348*^9}, {3.839288863976631*^9, 3.8392888687569103`*^9}, {
   3.839288914268526*^9, 3.839288932773486*^9}, {3.839288968386167*^9, 
   3.839288969167431*^9}, {3.8392890198570538`*^9, 3.839289022517627*^9}, {
   3.839289209437458*^9, 3.839289213762068*^9}, {3.839289510748135*^9, 
   3.8392895108150797`*^9}, {3.839289551840794*^9, 3.839289579962511*^9}, {
   3.839289748727641*^9, 3.839289753409946*^9}, {3.83928982605163*^9, 
   3.839289826475725*^9}, {3.839289923635626*^9, 3.839289944668154*^9}, {
   3.839289980420685*^9, 3.839289984759594*^9}, {3.839290026875204*^9, 
   3.839290039046085*^9}, {3.8392901164858027`*^9, 3.8392901490418873`*^9}, {
   3.839290187101981*^9, 3.83929020123911*^9}, {3.839290232255464*^9, 
   3.839290236041601*^9}, {3.839290312803904*^9, 3.839290324178341*^9}, {
   3.839290356377817*^9, 3.839290357420267*^9}, {3.839290705581271*^9, 
   3.839290706757675*^9}, {3.839290762809442*^9, 3.8392907646619253`*^9}, {
   3.839290796031199*^9, 3.839290799617908*^9}, {3.839293111939066*^9, 
   3.8392931120712557`*^9}, {3.8392931546120358`*^9, 3.839293156860882*^9}, 
   3.839293207215523*^9, {3.839293277550391*^9, 3.8392932818148603`*^9}, {
   3.839293356280345*^9, 3.8392933694040823`*^9}, 3.8392935265455503`*^9, {
   3.839302173288546*^9, 3.839302179916603*^9}, {3.839302307068791*^9, 
   3.839302309803109*^9}, {3.839302530482341*^9, 3.8393025398183813`*^9}, {
   3.8393029938072557`*^9, 3.839303036822082*^9}, {3.8393030859842787`*^9, 
   3.839303134926133*^9}, {3.8393031813303328`*^9, 3.839303234245449*^9}, {
   3.839303453790812*^9, 3.839303457777063*^9}, {3.839303701897488*^9, 
   3.839303702040243*^9}, {3.8393038773366623`*^9, 3.839303877959893*^9}, {
   3.8393039114179497`*^9, 3.839303959920773*^9}, {3.8393040187162933`*^9, 
   3.839304071049168*^9}, {3.8393041355038567`*^9, 3.839304165611444*^9}, {
   3.839304224304455*^9, 3.839304228431072*^9}, {3.839304295382803*^9, 
   3.83930429787024*^9}, {3.839306390231587*^9, 3.8393064089694157`*^9}, {
   3.839316653331443*^9, 3.839316666578128*^9}, {3.8393167169421186`*^9, 
   3.83931671709234*^9}, {3.839316864178501*^9, 3.8393168775851088`*^9}, {
   3.839316919571844*^9, 3.8393169389149323`*^9}, {3.839317038708362*^9, 
   3.83931704166076*^9}, {3.839317174697527*^9, 3.8393171749035473`*^9}, {
   3.8393173402050467`*^9, 3.839317343610641*^9}, {3.839317687510672*^9, 
   3.8393176878534613`*^9}, {3.8393177371658783`*^9, 
   3.8393177646670647`*^9}, {3.839317911710952*^9, 3.83931792486162*^9}, {
   3.839379759527925*^9, 3.839379763573716*^9}, {3.83938022457416*^9, 
   3.839380230448333*^9}, {3.839380267552805*^9, 3.839380305154258*^9}, {
   3.83938035056148*^9, 3.839380485466898*^9}, 3.839380549246628*^9, {
   3.8393806585651407`*^9, 3.839380662149177*^9}, {3.839380700605624*^9, 
   3.8393807019103813`*^9}, 3.839380949086853*^9, {3.839381036382873*^9, 
   3.8393810585464573`*^9}, {3.83938108957368*^9, 3.839381108811659*^9}, {
   3.8393813219062634`*^9, 3.839381335846157*^9}, {3.839382668138763*^9, 
   3.839382672244458*^9}, {3.839382714811301*^9, 3.8393827269042463`*^9}, {
   3.8393827910431423`*^9, 3.839382811957851*^9}, {3.839382931086729*^9, 
   3.8393829329207773`*^9}, {3.8393836628553133`*^9, 3.839383667407957*^9}, {
   3.839452500309648*^9, 3.839452500477428*^9}, {3.8394555689370747`*^9, 
   3.839455588358512*^9}, {3.839455638915182*^9, 3.839455660685302*^9}, {
   3.8394557227020273`*^9, 3.839455731929132*^9}, {3.839455763428092*^9, 
   3.839455768723241*^9}, {3.8394559349949627`*^9, 3.8394559744935226`*^9}, {
   3.839456666981748*^9, 3.839456791004094*^9}, {3.839456945630039*^9, 
   3.8394569572771177`*^9}, {3.8394570996011457`*^9, 3.839457116064307*^9}, {
   3.839458406018076*^9, 3.839458426701782*^9}, {3.839459209232046*^9, 
   3.839459209324774*^9}, {3.8394592435193653`*^9, 3.839459245657894*^9}, {
   3.839459289858169*^9, 3.839459292771185*^9}, {3.8394594152773657`*^9, 
   3.83945941557265*^9}, {3.839459455767433*^9, 3.839459483756975*^9}, {
   3.839459725224412*^9, 3.839459726667707*^9}, {3.839460056049855*^9, 
   3.839460068427022*^9}, 3.839460122309183*^9, 3.839460155261424*^9, {
   3.839460258436277*^9, 3.8394602593819647`*^9}, {3.8394816324822807`*^9, 
   3.839481651481649*^9}, {3.839482090447336*^9, 3.839482094672668*^9}, {
   3.8394902191161833`*^9, 3.83949024029932*^9}, {3.8394902917386303`*^9, 
   3.839490409646161*^9}, {3.839490440431285*^9, 3.839490461204668*^9}, {
   3.839490519269182*^9, 3.8394905194755287`*^9}, {3.8394907323299522`*^9, 
   3.839490736303525*^9}, {3.8394908130337677`*^9, 3.839490816015514*^9}, 
   3.839491005083008*^9, {3.839491177010456*^9, 3.839491177160696*^9}, {
   3.839491229866433*^9, 3.839491240175786*^9}, {3.839491363435968*^9, 
   3.839491413573325*^9}, {3.839491553446253*^9, 3.839491575555872*^9}, {
   3.839491626870846*^9, 3.839491642451338*^9}, {3.839491675703697*^9, 
   3.8394916861095*^9}, {3.839491731202633*^9, 3.839491787414324*^9}, {
   3.839491845891062*^9, 3.839491853279243*^9}, 3.83949192265683*^9, {
   3.8394921416613903`*^9, 3.839492141803173*^9}, {3.839492198623066*^9, 
   3.8394922091160927`*^9}, {3.83949225697586*^9, 3.8394922813822536`*^9}, {
   3.8394923562876368`*^9, 3.839492363717551*^9}, {3.839492393989686*^9, 
   3.839492394211083*^9}, 3.839492722672633*^9, {3.8394928273501263`*^9, 
   3.8394928403789587`*^9}, {3.8394928713174143`*^9, 3.83949288383681*^9}, 
   3.839492940597088*^9, {3.839492983618012*^9, 3.839492993113646*^9}, {
   3.8394930476592093`*^9, 3.839493075078372*^9}, {3.839493265450963*^9, 
   3.8394932987682657`*^9}, {3.839493337463874*^9, 3.839493352862314*^9}, {
   3.8394940260971737`*^9, 3.839494028936844*^9}, {3.839494084100731*^9, 
   3.83949409504242*^9}, 3.839494182986824*^9, {3.83949476874725*^9, 
   3.839494798546261*^9}, {3.839495235888074*^9, 3.839495236060607*^9}, {
   3.8394952692727127`*^9, 3.839495270670323*^9}, {3.8394953034413567`*^9, 
   3.839495322087452*^9}, 3.839495399116791*^9, {3.8394954526549664`*^9, 
   3.839495466347666*^9}, {3.839495542065647*^9, 3.839495546109322*^9}, 
   3.839495807639289*^9, {3.839495847567977*^9, 3.839495855820895*^9}, {
   3.839495922346349*^9, 3.839495922726857*^9}, {3.839496116862165*^9, 
   3.8394961490001593`*^9}, {3.8394963874829817`*^9, 3.839496389425503*^9}, {
   3.839496428915915*^9, 3.839496457674429*^9}, {3.839496489933666*^9, 
   3.839496490131134*^9}, {3.839496776709548*^9, 3.839496873656815*^9}, {
   3.839496905062484*^9, 3.839496905299408*^9}, {3.839496992216531*^9, 
   3.839496994003496*^9}, 3.839497203266882*^9, {3.8394973312376738`*^9, 
   3.839497406531847*^9}, 3.839497437809434*^9, {3.839497483190921*^9, 
   3.8394975435667467`*^9}, {3.8394975789933853`*^9, 3.83949758273107*^9}, {
   3.8394976561730003`*^9, 3.839497730882483*^9}, {3.8394977685499983`*^9, 
   3.839497769161096*^9}, {3.839500415337368*^9, 3.8395005555395927`*^9}, {
   3.8395006902588243`*^9, 3.839500722549213*^9}, {3.839500793908332*^9, 
   3.8395007946448307`*^9}, {3.83950087325904*^9, 3.839500873589769*^9}, {
   3.839500944679215*^9, 3.8395009448216753`*^9}, {3.839500998845614*^9, 
   3.839500999071499*^9}, {3.839501033187201*^9, 3.839501050343503*^9}, 
   3.839501081062557*^9, 3.839501335973166*^9, {3.839501508402192*^9, 
   3.839501583757338*^9}, {3.8395018524080544`*^9, 3.839501869798554*^9}, {
   3.8395019112820663`*^9, 3.8395019120213223`*^9}, {3.8395019474089613`*^9, 
   3.839501968924407*^9}, {3.839502110348898*^9, 3.839502144505033*^9}, {
   3.839502218200039*^9, 3.8395022334999228`*^9}, {3.8395023285426397`*^9, 
   3.839502339254245*^9}, {3.8395023735946836`*^9, 3.839502400740734*^9}, {
   3.839533127922023*^9, 3.839533128002337*^9}, {3.839533389753913*^9, 
   3.839533427642598*^9}, {3.839533498578466*^9, 3.839533632894701*^9}, {
   3.839533669416161*^9, 3.8395336763182507`*^9}, {3.8395337568264933`*^9, 
   3.8395337791022577`*^9}, {3.839533843045993*^9, 3.839533843332644*^9}, {
   3.839533929853427*^9, 3.839533930612076*^9}, {3.839534887707037*^9, 
   3.839534911866848*^9}, {3.839535346745397*^9, 3.8395353491204443`*^9}, {
   3.8395354718657713`*^9, 3.839535490450624*^9}, {3.839535528163734*^9, 
   3.839535555067749*^9}, 3.839535729439064*^9, 3.839535862280545*^9, 
   3.8395360078730917`*^9, {3.8395360631176357`*^9, 3.839536068731962*^9}, 
   3.839537047992078*^9, {3.839537151055018*^9, 3.8395371828962173`*^9}, {
   3.839537228985581*^9, 3.839537257000194*^9}, {3.839537361800189*^9, 
   3.839537369029585*^9}, 3.839537515727777*^9, 3.839537557215665*^9, {
   3.839537599005783*^9, 3.839537643693554*^9}, {3.8395401507456408`*^9, 
   3.839540150825675*^9}, {3.8395401976752863`*^9, 3.839540198137162*^9}, {
   3.839540401436191*^9, 3.83954040152409*^9}, {3.839540464789864*^9, 
   3.839540497980956*^9}, {3.8395405698024187`*^9, 3.839540572500617*^9}, {
   3.839540614863501*^9, 3.8395406909055357`*^9}, {3.839540935926498*^9, 
   3.8395409621634893`*^9}, {3.839541025870119*^9, 3.8395410566204243`*^9}, {
   3.8395411120355663`*^9, 3.83954111944634*^9}, {3.839542173529778*^9, 
   3.839542175111988*^9}, {3.8395423540218697`*^9, 3.839542355233059*^9}, {
   3.839542613192881*^9, 3.8395426635513973`*^9}, {3.8395436339491367`*^9, 
   3.8395436407952747`*^9}, {3.839549906083242*^9, 3.8395499061981564`*^9}, {
   3.839552658080483*^9, 3.8395526703256073`*^9}, {3.839552703300458*^9, 
   3.839552703531269*^9}, {3.839552760209818*^9, 3.839552762614299*^9}, {
   3.839554793902133*^9, 3.839554804360834*^9}, {3.839554871024951*^9, 
   3.839554878276479*^9}, {3.839556794020649*^9, 3.839556800736467*^9}, {
   3.83955716768365*^9, 3.83955716846898*^9}, {3.839557324699958*^9, 
   3.839557365009794*^9}, {3.839557404929887*^9, 3.839557405687621*^9}, 
   3.839557494882553*^9, {3.839557542223092*^9, 3.8395575697993193`*^9}, {
   3.8395576656890297`*^9, 3.839557670674531*^9}, 3.839557719514237*^9, {
   3.8395578592014008`*^9, 3.839557918021365*^9}, {3.83955796281218*^9, 
   3.8395579635731907`*^9}, {3.839558089521674*^9, 3.839558107054653*^9}, {
   3.839558263881242*^9, 3.839558300971566*^9}, {3.839558608302938*^9, 
   3.839558612245823*^9}, {3.8395592958642817`*^9, 3.8395592973670464`*^9}, {
   3.83955944644799*^9, 3.8395594515044394`*^9}, {3.8395597922700233`*^9, 
   3.839559803083611*^9}, 3.839559873099164*^9, {3.8395601688294907`*^9, 
   3.839560177517544*^9}, {3.839560470224535*^9, 3.839560472489612*^9}, {
   3.839569878079686*^9, 3.839569911132182*^9}, {3.839570013185009*^9, 
   3.839570045555925*^9}, {3.8395705608894167`*^9, 3.839570564941845*^9}, {
   3.839570718165574*^9, 3.839570763120139*^9}, {3.839575938680118*^9, 
   3.839575941968007*^9}, 3.8395759999602423`*^9, {3.839576109029752*^9, 
   3.8395761119648046`*^9}, {3.839576183883074*^9, 3.839576185554147*^9}, 
   3.8395762904172564`*^9, {3.839576613308709*^9, 3.8395766199635267`*^9}, {
   3.839576659740362*^9, 3.839576660579627*^9}, {3.839576695003928*^9, 
   3.83957672420261*^9}, {3.839576763484528*^9, 3.839576767826516*^9}, {
   3.839576809450485*^9, 3.8395768097292547`*^9}, {3.839577087881442*^9, 
   3.839577094352969*^9}, 3.839577267994573*^9, {3.839577386371591*^9, 
   3.839577399495617*^9}, {3.839577438789933*^9, 3.8395774392429867`*^9}, {
   3.8395774747122793`*^9, 3.839577503536656*^9}, {3.839577552941772*^9, 
   3.839577553084936*^9}, {3.839577617161666*^9, 3.8395776487226973`*^9}, {
   3.8395776826958513`*^9, 3.839577687861722*^9}, {3.8395777402023697`*^9, 
   3.839577761361047*^9}, {3.839578005047414*^9, 3.839578012347487*^9}, {
   3.839578077201722*^9, 3.8395781058168488`*^9}, {3.839578971011635*^9, 
   3.839578971232123*^9}, {3.839579541077466*^9, 3.839579542147696*^9}, 
   3.839579628659719*^9, {3.839579721691183*^9, 3.839579721858966*^9}, {
   3.839579805738728*^9, 3.8395798164026613`*^9}, {3.839579872346932*^9, 
   3.839579889466922*^9}, 3.839580120875886*^9, {3.839580635597186*^9, 
   3.839580647539999*^9}, {3.839580717287813*^9, 3.839580720748563*^9}, 
   3.839580755966818*^9, 3.839581019490549*^9, {3.839581071990617*^9, 
   3.83958107214139*^9}, {3.839581196563607*^9, 3.8395811970833807`*^9}, {
   3.839582259175096*^9, 3.8395822637581882`*^9}, {3.839582333166102*^9, 
   3.839582333167248*^9}, {3.8395824737346087`*^9, 3.83958250575826*^9}, {
   3.839582541389533*^9, 3.8395825435810347`*^9}, {3.839582597750807*^9, 
   3.839582609902217*^9}, {3.8403362591144953`*^9, 3.840336266038645*^9}, {
   3.8403385404877663`*^9, 3.840338544097371*^9}, {3.840348059276216*^9, 
   3.840348066079267*^9}, 3.840425810322599*^9, {3.840430515896421*^9, 
   3.84043052426304*^9}, {3.840434745493132*^9, 3.8404348006294527`*^9}, {
   3.8404352765051622`*^9, 3.840435286201427*^9}, {3.8413831809012747`*^9, 
   3.841383188863459*^9}, {3.8413832800595617`*^9, 3.841383290926928*^9}, {
   3.841383381357747*^9, 3.841383390401058*^9}, 3.841390321208438*^9, 
   3.8413981357244062`*^9, {3.842920652183844*^9, 3.842920654776713*^9}, {
   3.843020617044911*^9, 3.843020639956336*^9}, {3.844025497241123*^9, 
   3.844025510128057*^9}, {3.8440255752656097`*^9, 3.844025612248777*^9}, {
   3.844025832558488*^9, 3.844025836502099*^9}, {3.844025873030303*^9, 
   3.844025876829647*^9}, {3.844931946522911*^9, 3.844932024697463*^9}, {
   3.8449322098891783`*^9, 3.844932223878818*^9}, {3.844932419908564*^9, 
   3.844932420068089*^9}, {3.844932551895084*^9, 3.844932552626058*^9}, {
   3.844932878979336*^9, 3.844932880251041*^9}, {3.844932931607748*^9, 
   3.8449329345900803`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"c3756067-922e-446f-80fb-8b89ede2458a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Computation", " ", "of", " ", "cumulants"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"c", "[", 
     RowBox[{"a_", ",", "b_", ",", "f_", ",", "t_", ",", "n_"}], "]"}], ":=", 
    
    RowBox[{
     RowBox[{"c", "[", 
      RowBox[{"a", ",", "b", ",", "f", ",", "t", ",", "n"}], "]"}], "=", 
     RowBox[{"(", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"y", ",", "k", ",", "z", ",", "temp"}], "}"}], ",", 
        RowBox[{
         RowBox[{"temp", "=", "0"}], ";", 
         RowBox[{"y", "=", 
          RowBox[{"{", "}"}]}], ";", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "n"}], ",", 
           RowBox[{"k", ">=", "1"}], ",", 
           RowBox[{"k", "--"}], ",", 
           RowBox[{
            RowBox[{"y", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"y", ",", 
               RowBox[{"Block", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"i", "=", 
                    RowBox[{"n", "-", "k", "+", "1"}]}], ",", 
                   RowBox[{"u", "=", "z"}]}], "}"}], ",", 
                 RowBox[{"kz", "[", 
                  RowBox[{
                  "u", ",", "i", ",", "a", ",", "b", ",", "f", ",", "t"}], 
                  "]"}]}], "]"}]}], "]"}]}], ";", 
            RowBox[{"temp", "+=", 
             RowBox[{"BellY", "[", 
              RowBox[{"n", ",", "k", ",", "y"}], "]"}]}]}]}], "]"}], ";", 
         RowBox[{"Return", "[", 
          RowBox[{"Integrate", "[", 
           RowBox[{"temp", ",", 
            RowBox[{"{", 
             RowBox[{"z", ",", "0", ",", "t"}], "}"}]}], "]"}], "]"}]}]}], 
       "]"}], ")"}]}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.83918630715145*^9, 3.839186347458584*^9}, {
   3.839186404826151*^9, 3.839186481828204*^9}, {3.8391866235844297`*^9, 
   3.839186636624977*^9}, {3.839186668005478*^9, 3.8391867292908573`*^9}, {
   3.8391874605348787`*^9, 3.839187573638323*^9}, {3.839187678776884*^9, 
   3.839187828032421*^9}, {3.839188657325636*^9, 3.8391886853804293`*^9}, {
   3.839188753029869*^9, 3.839188762820518*^9}, {3.8391894565607023`*^9, 
   3.839189458540745*^9}, {3.839192222593081*^9, 3.83919222543652*^9}, {
   3.839192278718563*^9, 3.839192288394567*^9}, {3.839192336613327*^9, 
   3.839192470414391*^9}, {3.839192505941064*^9, 3.839192525924515*^9}, 
   3.839192578711187*^9, {3.8391930637221327`*^9, 3.83919306691873*^9}, {
   3.839193370664619*^9, 3.839193382884761*^9}, {3.8391934456729393`*^9, 
   3.83919344642864*^9}, {3.839193490824648*^9, 3.83919349097226*^9}, {
   3.839193665898484*^9, 3.839193673453052*^9}, 3.839193741073761*^9, 
   3.839193792648507*^9, {3.8391939630014677`*^9, 3.839193965612525*^9}, 
   3.83919411603988*^9, {3.839194179386643*^9, 3.839194188524562*^9}, {
   3.839194258296356*^9, 3.839194279557933*^9}, {3.839194322093915*^9, 
   3.83919432345442*^9}, {3.839194503941625*^9, 3.839194504264374*^9}, {
   3.839194549393084*^9, 3.839194565312841*^9}, {3.839195498908239*^9, 
   3.839195541100852*^9}, {3.8391957755261803`*^9, 3.839195816756359*^9}, {
   3.839195878219894*^9, 3.8391958851660748`*^9}, {3.839195921574853*^9, 
   3.8391959225977497`*^9}, {3.8391960566761913`*^9, 3.83919609656423*^9}, {
   3.839196170869355*^9, 3.839196172702827*^9}, {3.839196204001919*^9, 
   3.83919621339406*^9}, {3.8391962478565187`*^9, 3.839196277939967*^9}, {
   3.8391963097707*^9, 3.839196336357424*^9}, {3.8391963745984592`*^9, 
   3.839196375086287*^9}, {3.839196425733029*^9, 3.839196444873065*^9}, 
   3.8391966595800533`*^9, 3.8391967008086367`*^9, {3.8391967485808287`*^9, 
   3.839196759893076*^9}, {3.839196843378647*^9, 3.839196875333954*^9}, {
   3.839196973054058*^9, 3.839196977663458*^9}, {3.839197020806201*^9, 
   3.839197035519672*^9}, {3.839197171415017*^9, 3.8391971951701317`*^9}, {
   3.839197267008417*^9, 3.8391972962824383`*^9}, {3.839197333026126*^9, 
   3.839197334178525*^9}, {3.8391973840118217`*^9, 3.839197448420451*^9}, {
   3.8391974810106153`*^9, 3.839197524260516*^9}, {3.839197563644809*^9, 
   3.839197573255698*^9}, 3.839197613923889*^9, {3.839197649733569*^9, 
   3.839197650834229*^9}, {3.839197808740376*^9, 3.839197808903016*^9}, {
   3.8391979029593897`*^9, 3.839197904103339*^9}, {3.839198008328348*^9, 
   3.839198009623889*^9}, {3.8391981391949577`*^9, 3.8391983352956047`*^9}, 
   3.839198411945313*^9, {3.839198455810377*^9, 3.839198469901127*^9}, {
   3.8391985026148157`*^9, 3.8391985049992332`*^9}, {3.83919871474262*^9, 
   3.839198759199478*^9}, {3.839198789591941*^9, 3.83919879067039*^9}, {
   3.8391988235503473`*^9, 3.839198913463738*^9}, {3.8391989532383957`*^9, 
   3.8391989582080173`*^9}, {3.839199018346423*^9, 3.839199088432004*^9}, {
   3.83919913308875*^9, 3.839199176304821*^9}, {3.8391992068758507`*^9, 
   3.83919922512424*^9}, {3.839199313696248*^9, 3.839199320088571*^9}, 
   3.839199363400691*^9, {3.8391994498333063`*^9, 3.8391994576825542`*^9}, {
   3.839199661430478*^9, 3.839199661982575*^9}, {3.839200295227132*^9, 
   3.839200324455208*^9}, {3.839200383327507*^9, 3.8392003904095182`*^9}, 
   3.839200440146469*^9, {3.839200556517963*^9, 3.839200577286224*^9}, {
   3.8392006223787937`*^9, 3.839200628398975*^9}, {3.839200771216751*^9, 
   3.839200792065467*^9}, {3.839201273860037*^9, 3.839201273992581*^9}, {
   3.839201387369586*^9, 3.839201396522182*^9}, 3.839201432025783*^9, {
   3.839201493692403*^9, 3.839201499635346*^9}, {3.8392017490950623`*^9, 
   3.839201761758251*^9}, 3.839201825409051*^9, 3.8392019643154497`*^9, {
   3.8392020703714046`*^9, 3.8392020804008703`*^9}, {3.839202169003476*^9, 
   3.839202175873629*^9}, {3.839202284340783*^9, 3.839202287930215*^9}, {
   3.8392023715623426`*^9, 3.839202372321433*^9}, {3.839202655453034*^9, 
   3.8392027544726048`*^9}, {3.839202853802525*^9, 3.839202855927984*^9}, {
   3.839202933493661*^9, 3.839202934127811*^9}, {3.839203010466881*^9, 
   3.83920301379173*^9}, {3.8392030696783752`*^9, 3.839203104893351*^9}, {
   3.839203415577474*^9, 3.839203417793866*^9}, {3.8392034506176434`*^9, 
   3.839203451297406*^9}, {3.839211566238373*^9, 3.8392115686910667`*^9}, {
   3.839212046789011*^9, 3.839212068006072*^9}, {3.8392142605888987`*^9, 
   3.839214261068272*^9}, 3.839216461820615*^9, {3.839305569116425*^9, 
   3.8393055829182*^9}, {3.839306838084713*^9, 3.839306856492758*^9}, {
   3.839307006538457*^9, 3.839307010717058*^9}, {3.839307513228855*^9, 
   3.839307534460294*^9}, {3.839319525425006*^9, 3.83931952554421*^9}, {
   3.839319621920024*^9, 3.839319624213624*^9}, {3.839319655234344*^9, 
   3.8393196576305227`*^9}, {3.839320632099422*^9, 3.839320632575774*^9}, 
   3.8393800737494993`*^9, {3.8393807907636223`*^9, 3.8393808002389727`*^9}, {
   3.8393808455604763`*^9, 3.8393808463741083`*^9}, {3.8393808806526003`*^9, 
   3.839380882938319*^9}, {3.8393830015426617`*^9, 3.839383009002934*^9}, {
   3.839383070737021*^9, 3.83938307773094*^9}, {3.839383109364579*^9, 
   3.839383125513907*^9}, {3.8393831590144587`*^9, 3.839383168552964*^9}, 
   3.839383208862175*^9, {3.839383244696225*^9, 3.83938328203053*^9}, {
   3.8393834688668327`*^9, 3.839383488832342*^9}, {3.8395346699191427`*^9, 
   3.839534670013513*^9}, {3.8395412313197803`*^9, 3.839541232063703*^9}, {
   3.839542810128886*^9, 3.839542843180949*^9}, {3.839542884214159*^9, 
   3.839542944087574*^9}, {3.8395430112433653`*^9, 3.83954301434743*^9}, 
   3.8395433081118593`*^9, {3.839543348835017*^9, 3.839543349327148*^9}, {
   3.8395434744489*^9, 3.8395434798973513`*^9}, {3.8395435259510183`*^9, 
   3.8395435464063663`*^9}, {3.839543606788678*^9, 3.839543613019744*^9}, {
   3.8395437577759047`*^9, 3.839543783638434*^9}, {3.8395438482800922`*^9, 
   3.839543862182523*^9}, 3.839543907928508*^9, {3.839543995020163*^9, 
   3.83954399513795*^9}, {3.8395440621876783`*^9, 3.839544069249642*^9}, {
   3.839544130742714*^9, 3.83954413342474*^9}, {3.839544246064089*^9, 
   3.839544330351141*^9}, {3.839544545080464*^9, 3.839544550609108*^9}, {
   3.839544592173257*^9, 3.8395445975380507`*^9}, {3.839544729263348*^9, 
   3.839544732628045*^9}, {3.839544826020561*^9, 3.839544826217101*^9}, {
   3.839544912642713*^9, 3.839544924123829*^9}, 3.839545086147915*^9, {
   3.839545274521462*^9, 3.8395453470983763`*^9}, {3.839545484784081*^9, 
   3.839545502731728*^9}, 3.839545573594652*^9, {3.83954570024256*^9, 
   3.8395457112845287`*^9}, {3.839545793288518*^9, 3.839545828629353*^9}, {
   3.839545947388359*^9, 3.839545949656473*^9}, {3.839546132816324*^9, 
   3.839546143490045*^9}, {3.839546195217001*^9, 3.839546218504105*^9}, {
   3.839546265041057*^9, 3.839546279709671*^9}, {3.839555040535495*^9, 
   3.839555048057295*^9}, {3.8395551039011517`*^9, 3.839555120578863*^9}, {
   3.8395747680188923`*^9, 3.8395747684577713`*^9}, 3.839582333172022*^9, {
   3.83958240513466*^9, 3.839582408717143*^9}, {3.839803209367878*^9, 
   3.839803216541069*^9}, {3.840336270500082*^9, 3.840336275180938*^9}, {
   3.840338183438594*^9, 3.840338190087925*^9}, {3.840338436912126*^9, 
   3.8403384455994787`*^9}, {3.840338510731023*^9, 3.840338510870557*^9}, {
   3.840348073705123*^9, 3.840348079445879*^9}, {3.840425815584977*^9, 
   3.840425820487933*^9}, {3.840430532447749*^9, 3.840430537319687*^9}, {
   3.841383595647832*^9, 3.841383615224543*^9}, {3.841383650336316*^9, 
   3.8413836525157557`*^9}, 3.841390329823481*^9, {3.841390443695661*^9, 
   3.84139046542496*^9}, {3.843020771312413*^9, 3.8430207892527533`*^9}, {
   3.843021107632121*^9, 3.843021123862295*^9}, {3.843021168843808*^9, 
   3.84302120334766*^9}, {3.844932232718199*^9, 3.844932241773986*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"7c92da41-e5cf-4c67-b1cf-2e95dc9400dc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Computation", " ", "of", " ", "moments"}], "*)"}], 
  RowBox[{
   RowBox[{"m", "[", 
    RowBox[{"nu_", ",", "a_", ",", "b_", ",", "f_", ",", "t_", ",", "n_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{"m", "[", 
     RowBox[{"nu", ",", "a", ",", "b", ",", "f", ",", "t", ",", "n"}], "]"}], 
    "=", 
    RowBox[{"(", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"tmp", ",", "z", ",", "k"}], "}"}], ",", 
       RowBox[{
        RowBox[{"tmp", "=", "0"}], ";", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"n", "==", "0"}], ",", 
          RowBox[{"Return", "[", "1", "]"}]}], "]"}], ";", 
        RowBox[{"z", "=", 
         RowBox[{"{", "}"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "n"}], ",", 
          RowBox[{"k", ">=", "1"}], ",", 
          RowBox[{"k", "--"}], ",", 
          RowBox[{
           RowBox[{"z", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"z", ",", 
              RowBox[{"nu", "*", 
               RowBox[{"c", "[", 
                RowBox[{"a", ",", "b", ",", "f", ",", "t", ",", 
                 RowBox[{"n", "-", "k", "+", "1"}]}], "]"}]}]}], "]"}]}], ";", 
           RowBox[{"tmp", "+=", 
            RowBox[{"BellY", "[", 
             RowBox[{"n", ",", "k", ",", "z"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", "tmp"}]}], "]"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.839803039227186*^9, 3.839803077654187*^9}, {
   3.839803139756778*^9, 3.839803150452232*^9}, {3.839803203535921*^9, 
   3.839803259721192*^9}, {3.839803387530987*^9, 3.8398034518976994`*^9}, {
   3.8398035534786263`*^9, 3.839803583828313*^9}, {3.83980825480873*^9, 
   3.8398082550764236`*^9}, {3.83980833168008*^9, 3.839808333771166*^9}, {
   3.839808795897142*^9, 3.839808797648736*^9}, {3.839809232138228*^9, 
   3.839809235745008*^9}, {3.8398095128503857`*^9, 3.839809527009392*^9}, {
   3.839809599503798*^9, 3.8398096143370247`*^9}, {3.839809700305688*^9, 
   3.839809702329632*^9}, {3.840336279635686*^9, 3.8403362800355577`*^9}, {
   3.840336335310944*^9, 3.840336336247457*^9}, {3.840338194330029*^9, 
   3.840338228910577*^9}, {3.8403383584314623`*^9, 3.840338364763011*^9}, {
   3.840338423030747*^9, 3.8403384321636963`*^9}, {3.840338486065734*^9, 
   3.84033848620737*^9}, {3.840347506797192*^9, 3.8403475158860188`*^9}, {
   3.8403480831270523`*^9, 3.840348083605628*^9}, 3.8404258242637053`*^9, {
   3.841383268927575*^9, 3.841383276753381*^9}, {3.841383618723645*^9, 
   3.841383622535861*^9}, {3.8413836551969843`*^9, 3.841383656880267*^9}, 
   3.841390340567485*^9, 3.8413904501119432`*^9, {3.841390488005271*^9, 
   3.8413904884396143`*^9}, {3.84292070957738*^9, 3.842920726309702*^9}, {
   3.842920974742421*^9, 3.842920994328725*^9}, {3.842921300655302*^9, 
   3.842921302586619*^9}, {3.8440568439490957`*^9, 3.8440568494348907`*^9}, {
   3.844932246822144*^9, 3.844932258653656*^9}, {3.844935030625271*^9, 
   3.844935036241364*^9}, {3.8449350798849697`*^9, 3.844935098743079*^9}, {
   3.844936497242404*^9, 3.844936501206049*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"115e383c-208e-42e4-a051-b9a443f74a72"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x_", ",", "a_", ",", "b_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"a", "*", 
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "b"}], "*", 
       RowBox[{"(", 
        RowBox[{"t", "-", "x"}], ")"}]}], ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.844931893327668*^9, 3.844931900257659*^9}, {
  3.844932405909361*^9, 3.844932406522079*^9}, {3.8449324393624763`*^9, 
  3.844932450401387*^9}, {3.8449325432812862`*^9, 3.844932545112513*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"fe7fd3db-d144-4b5e-9334-0aacd8eb83ce"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"m", "[", 
  RowBox[{"nu", ",", "a", ",", "b", ",", "f", ",", "t", ",", "2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.844942923212351*^9, 3.8449429618127604`*^9}, {
  3.8449429974674673`*^9, 3.844943030056161*^9}, {3.8449430750763693`*^9, 
  3.8449430765172253`*^9}, {3.844943165174687*^9, 3.8449431915899487`*^9}, {
  3.844946148089705*^9, 3.844946168209338*^9}, {3.8450007247937737`*^9, 
  3.845000725391429*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"b10321f8-7300-4ba3-ae60-287edf7e20f3"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"b", "-", 
      RowBox[{"2", " ", "a", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "a"}], "-", "b"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}]}], ")"}], " ", "nu"}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"a", "-", "b"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}], ")"}], "2"], " ", 
    SuperscriptBox["nu", "2"]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"a", "-", "b"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{{3.844943192241025*^9, 3.844943210341155*^9}, 
   3.844945172394641*^9, {3.844946139339396*^9, 3.8449461692562313`*^9}, 
   3.8450007528367043`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"a1e9ce90-f98a-467e-a286-a6ad13334a5c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"mm", "[", 
   RowBox[{"nu_", ",", "a_", ",", "b_", ",", "f_", ",", "t_", ",", "n_"}], 
   "]"}], ":=", 
  RowBox[{
   RowBox[{"mm", "[", 
    RowBox[{"nu", ",", "a", ",", "b", ",", "f", ",", "t", ",", "n"}], "]"}], 
   "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nu", "^", 
       RowBox[{"(", 
        RowBox[{"n", "-", "k"}], ")"}]}], "*", 
      RowBox[{"m", "[", 
       RowBox[{"nu", ",", "a", ",", "b", ",", "f", ",", "t", ",", "k"}], 
       "]"}], "*", 
      RowBox[{"Binomial", "[", 
       RowBox[{"n", ",", "k"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.844938295821093*^9, 3.844938350819489*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"c51d666b-0f09-491d-a61a-f66ab542ae85"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mm", "[", 
  RowBox[{"nu", ",", "a", ",", "b", ",", "f", ",", "t", ",", "2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.845000782534883*^9, 3.8450007897753763`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"6c572eb1-38ea-47cd-8c6c-bb20d2325f03"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"b", "-", 
      RowBox[{"2", " ", "a", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "a"}], "-", "b"}], ")"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}]}], ")"}], " ", "nu"}], 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"a", "-", "b"}], ")"}], "2"]}]], "+", 
  SuperscriptBox["nu", "2"], "+", 
  FractionBox[
   RowBox[{"2", " ", "a", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}], ")"}], " ", 
    SuperscriptBox["nu", "2"]}], 
   RowBox[{"a", "-", "b"}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"a", "-", "b"}], ")"}], " ", "t"}]]}], ")"}], "2"], " ", 
    SuperscriptBox["nu", "2"]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"a", "-", "b"}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{3.845000790218059*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"cb9f43d6-75c9-4759-81c6-f6ed7c7bbdd5"]
}, Open  ]]
},
WindowSize->{738., 836.25},
WindowMargins->{{476.25, Automatic}, {Automatic, 66}},
DockedCells->{},
TaggingRules->Association["TryRealOnly" -> False],
FrontEndVersion->"12.3 for Linux x86 (64-bit) (July 9, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a4a203f3-4b45-4836-8163-0925711c6f94"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 259, 5, 29, "Input",ExpressionUUID->"7e292adb-9d5b-4438-b86a-ae67a0fc0e71"],
Cell[820, 27, 442, 6, 29, "Input",ExpressionUUID->"d5651c90-89b7-4760-b1d5-3d13d262281e"],
Cell[1265, 35, 23845, 365, 257, "Input",ExpressionUUID->"c3756067-922e-446f-80fb-8b89ede2458a"],
Cell[25113, 402, 9767, 157, 154, "Input",ExpressionUUID->"7c92da41-e5cf-4c67-b1cf-2e95dc9400dc"],
Cell[34883, 561, 3232, 65, 154, "Input",ExpressionUUID->"115e383c-208e-42e4-a051-b9a443f74a72"],
Cell[38118, 628, 621, 15, 29, "Input",ExpressionUUID->"fe7fd3db-d144-4b5e-9334-0aacd8eb83ce"],
Cell[CellGroupData[{
Cell[38764, 647, 520, 9, 29, "Input",ExpressionUUID->"b10321f8-7300-4ba3-ae60-287edf7e20f3"],
Cell[39287, 658, 1389, 42, 56, "Output",ExpressionUUID->"a1e9ce90-f98a-467e-a286-a6ad13334a5c"]
}, Open  ]],
Cell[40691, 703, 838, 23, 51, "Input",ExpressionUUID->"c51d666b-0f09-491d-a61a-f66ab542ae85"],
Cell[CellGroupData[{
Cell[41554, 730, 269, 5, 29, "Input",ExpressionUUID->"6c572eb1-38ea-47cd-8c6c-bb20d2325f03"],
Cell[41826, 737, 1626, 52, 79, "Output",ExpressionUUID->"cb9f43d6-75c9-4759-81c6-f6ed7c7bbdd5"]
}, Open  ]]
}
]
*)

